# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi

# Update hicolor theme cache:
if [ -d usr/share/icons/hicolor ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  fi
fi

# Update the mime database:
if [ -x usr/bin/update-mime-database ]; then
  chroot . /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

( cd usr/lib64 ; rm -rf libkhexeditcommon.so.0 )
( cd usr/lib64 ; ln -sf libkhexeditcommon.so.0.0.0 libkhexeditcommon.so.0 )
( cd usr/lib64 ; rm -rf libkhexeditcommon.so )
( cd usr/lib64 ; ln -sf libkhexeditcommon.so.0 libkhexeditcommon.so )
( cd usr/lib64 ; rm -rf libkcmlaptop.so.0 )
( cd usr/lib64 ; ln -sf libkcmlaptop.so.0.0.0 libkcmlaptop.so.0 )
( cd usr/lib64 ; rm -rf libkcmlaptop.so )
( cd usr/lib64 ; ln -sf libkcmlaptop.so.0 libkcmlaptop.so )
( cd usr/lib64 ; rm -rf libkmilo.so.1 )
( cd usr/lib64 ; ln -sf libkmilo.so.1.0.0 libkmilo.so.1 )
( cd usr/lib64 ; rm -rf libkmilo.so )
( cd usr/lib64 ; ln -sf libkmilo.so.1 libkmilo.so )
( cd usr/lib64 ; rm -rf libkregexpeditorcommon.so.1 )
( cd usr/lib64 ; ln -sf libkregexpeditorcommon.so.1.0.0 libkregexpeditorcommon.so.1 )
( cd usr/lib64 ; rm -rf libkregexpeditorcommon.so )
( cd usr/lib64 ; ln -sf libkregexpeditorcommon.so.1 libkregexpeditorcommon.so )
( cd usr/lib64 ; rm -rf libksimcore.so.1 )
( cd usr/lib64 ; ln -sf libksimcore.so.1.0.0 libksimcore.so.1 )
( cd usr/lib64 ; rm -rf libksimcore.so )
( cd usr/lib64 ; ln -sf libksimcore.so.1 libksimcore.so )
